# based on PLD libfpx $Revision: 1.35 $, $Date: 2003/11/12 18:36:15 $
Summary:	FlashPIX OpenSource Toolkit
Summary(pl):	Biblioteka do obrbki obrazkw FlashPIX
Name:		libfpx
Version:	1.2.0.9
Release:	alt2.1
License:	distributable (see COPYING)
Group:		System/Libraries
# Strange... [URL] says you can order it (for money) and doesn't contain any
# link, but sources can be freely redistributed. Can be found on any IM mirror.
Source0:	ftp://ftp.simplesystems.org/pub/ImageMagick/delegates/%{name}-%{version}.tar.gz
URL:		http://www.i3a.org/i_flashpix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 1.4.2
BuildRequires:	libstdc++-devel gcc-c++
Provides:	fpx

Patch:		libfpx-1.2.0.9-linkage.patch

%if %_vendor == "alt" 
# this package is for ALT Linux
%define rpmcleanbuildroot %nil
%else
# this package is for Fedora 5.x or later
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
%define rpmcleanbuildroot rm -rf $RPM_BUILD_ROOT
%endif

%description
FlashPIX OpenSource Toolkit is based on source obtained from the
Digital Imaging Group Inc. and includes a sample FlashPIX library
implementation contributed by Eastman Kodak Company.

%description -l pl
FlashPIX OpenSource Toolkit jest bazowany na rdach uzyskanych od
Digital Imaging Group i zawiera przykadow implementacj biblioteki
FlashPIX, do ktrej przyczyni si Eastman Kodak Company.

%package devel
Summary:	FlashPIX header file and documentation
Summary(pl):	Plik nagwkowy i dokumentacja do FlashPIX
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	libstdc++-devel
Obsoletes:	fpx-devel
Obsoletes:	libfpx-static

%description devel
FlashPIX header files and programmer's documentation.

%description devel -l pl
Plik nagwkowy potrzebny do kompilowania programw korzystajcych z
biblioteki FlashPIX oraz dokumentacja do tej biblioteki.

%prep
%setup  -q
%patch -p1

cat >> README.alt <<EOF
============================================
Makefile.am was modified by viy@altlinux.org
to fix underlinkage problem.
EOF

%build
autoreconf -fisv
#%{__libtoolize}
#%{__aclocal}
#%{__autoconf}
#%{__automake}
%configure \
	--disable-static \
	--enable-fast-install
%{__make}

%install
%rpmcleanbuildroot

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# clean up unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_libdir}/lib*.la


%clean
%rpmcleanbuildroot

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf doc/readme.txt
%attr(755,root,root) %{_libdir}/lib*.so
#%{_libdir}/lib*.la
%{_includedir}/*

%changelog
* Wed Nov 19 2008 Igor Vlasenko <viy@altlinux.ru> 1.2.0.9-alt2.1
- NMU (by repocop): the following fixes applied:
 * postun_ldconfig for libfpx
 * post_ldconfig for libfpx

* Fri Sep 28 2007 Igor Vlasenko <viy@altlinux.ru> 1.2.0.9-alt2
- fixed Group: tag

* Thu Sep 27 2007 Igor Vlasenko <viy@altlinux.ru> 1.2.0.9-alt1
- first build. 
- The spec is based on PLD Team <@pld.org.pl> one
  of kloczek, radek, wiget, djurban at @pld.org.pl
